tex-common fails to install

Bug #25620 reported by Debian Bug Importer on 2005-11-11
8
Affects Status Importance Assigned to Milestone
debconf (Debian)
Fix Released
Unknown
debconf (Ubuntu)
High
Colin Watson

Bug Description

Automatically imported from Debian bug report #338587 http://bugs.debian.org/338587

Revision history for this message
In , Hilmar Preusse (hille42) wrote : Re: Bug#338587: tex-common fails to install

On 11.11.05 Eric Valette (<email address hidden>) wrote:

Hi,

> Setting up tex-common (0.10) ...
> debconf: Unable to load Debconf::Element::Dialog.
>
Isn't that a message from debconf?
Further the File Debconf/Element/Dialog.pm does not exist in the
unstable distribution, especially not in the package debconf.

http://packages.debian.org/cgi-bin/search_contents.pl?version=unstable&word=Dialog.pm

If you ask me this is a debconf bug.

> Versions of packages tex-common depends on:
> ii debconf [debconf-2.0] 1.4.59 Debian configuration management sy
> ii ucf 2.003 Update Configuration File: preserv
>

--
sigmentation fault

Revision history for this message
In , Norbert Preining (preining) wrote :

On Fre, 11 Nov 2005, Hilmar Preusse wrote:
> > Setting up tex-common (0.10) ...
> > debconf: Unable to load Debconf::Element::Dialog.
> >

> Isn't that a message from debconf?

Strange. Which version of debconf do you have?

My version contains:
debconf: /usr/share/perl5/Debconf/Element/Dialog
debconf: /usr/share/perl5/Debconf/Element/Dialog/Select.pm
debconf: /usr/share/perl5/Debconf/Element/Dialog/Password.pm
debconf: /usr/share/perl5/Debconf/Element/Dialog/Multiselect.pm
debconf: /usr/share/perl5/Debconf/Element/Dialog/Note.pm
debconf: /usr/share/perl5/Debconf/Element/Dialog/Progress.pm
debconf: /usr/share/perl5/Debconf/Element/Dialog/Boolean.pm
debconf: /usr/share/perl5/Debconf/Element/Dialog/String.pm
debconf: /usr/share/perl5/Debconf/Element/Dialog/Text.pm

I would say your debconf is broken.

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining AT logic DOT at> Università di Siena
gpg DSA: 0x09C5B094 fp: 14DF 2E6C 0307 BE6D AD76 A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
WIKE (vb.)
To rip a piece of sticky plaster off your skin as fast as possible in
the hope that it will (a) show how brave you are, and (b) not hurt.
   --- Douglas Adams, The Meaning of Liff

Revision history for this message
In , Hilmar Preusse (hille42) wrote :

On 11.11.05 Norbert Preining (<email address hidden>) wrote:
> On Fre, 11 Nov 2005, Hilmar Preusse wrote:

Hi,

> > > Setting up tex-common (0.10) ...
> > > debconf: Unable to load Debconf::Element::Dialog.
> > >
>
> > Isn't that a message from debconf?
>
> Strange. Which version of debconf do you have?
>
> My version contains:
> debconf: /usr/share/perl5/Debconf/Element/Dialog
>
<no Dialog.pm>

I don't understand so much about perl, but if I write

use Debconf::Element::Dialog;

don't I refer to $PERLPATH/Debconf/Element/Dialog.pm, which does not
exist?

H.
--
sigmentation fault

Revision history for this message
In , Norbert Preining (preining) wrote :

On Fre, 11 Nov 2005, Hilmar Preusse wrote:
> > debconf: /usr/share/perl5/Debconf/Element/Dialog
>
> I don't understand so much about perl, but if I write
>
> use Debconf::Element::Dialog;
>
> don't I refer to $PERLPATH/Debconf/Element/Dialog.pm, which does not
> exist?

Maybe yes, but I don't care. This is a debconf question. Could someone
retitle and reassing this bug.

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining AT logic DOT at> Università di Siena
gpg DSA: 0x09C5B094 fp: 14DF 2E6C 0307 BE6D AD76 A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
GLENTIES (pl.n.)
Series of small steps by which someone who has made a serious tactical
error in a conversion or argument moves from complete disagreement to
wholehearted agreement.
   --- Douglas Adams, The Meaning of Liff

Revision history for this message
In , Frank Küster (frank-debian) wrote :

reassign 338587 debconf
thanks

Hi Debconf people, here's a grave bug filed against tex-common which
must in fact be debconf's fault:

Norbert Preining <email address hidden> wrote:

> On Fre, 11 Nov 2005, Hilmar Preusse wrote:
>> > Setting up tex-common (0.10) ...
>> > debconf: Unable to load Debconf::Element::Dialog.
>> >
>
>> Isn't that a message from debconf?
>
> Strange. Which version of debconf do you have?

Eric has debconf-2.0 installed (version 1.4.59).

$ findpkg Dialog.pm | grep debconf
usr/share/perl5/Debconf/FrontEnd/Dialog.pm admin/debconf
usr/share/perl5/Debconf/FrontEnd/Dialog.pm admin/debconf
usr/share/perl5/Debconf/FrontEnd/Dialog.pm admin/debconf

these are the three distributions (stable, testing, unstable).

> My version contains:
> debconf: /usr/share/perl5/Debconf/Element/Dialog
> debconf: /usr/share/perl5/Debconf/Element/Dialog/Select.pm
> debconf: /usr/share/perl5/Debconf/Element/Dialog/Password.pm
> debconf: /usr/share/perl5/Debconf/Element/Dialog/Multiselect.pm
> debconf: /usr/share/perl5/Debconf/Element/Dialog/Note.pm
> debconf: /usr/share/perl5/Debconf/Element/Dialog/Progress.pm
> debconf: /usr/share/perl5/Debconf/Element/Dialog/Boolean.pm
> debconf: /usr/share/perl5/Debconf/Element/Dialog/String.pm
> debconf: /usr/share/perl5/Debconf/Element/Dialog/Text.pm
>
> I would say your debconf is broken.

Don't you have Dialog.pm installed? I have (sid chroot):

$ dpkg -L debconf | grep Dialog
/usr/share/perl5/Debconf/FrontEnd/Dialog.pm
/usr/share/perl5/Debconf/Element/Dialog
/usr/share/perl5/Debconf/Element/Dialog/String.pm
/usr/share/perl5/Debconf/Element/Dialog/Text.pm
/usr/share/perl5/Debconf/Element/Dialog/Note.pm
/usr/share/perl5/Debconf/Element/Dialog/Multiselect.pm
/usr/share/perl5/Debconf/Element/Dialog/Boolean.pm
/usr/share/perl5/Debconf/Element/Dialog/Select.pm
/usr/share/perl5/Debconf/Element/Dialog/Password.pm
/usr/share/perl5/Debconf/Element/Dialog/Progress.pm

I'm a bit confused about the versions we have - there's debconf,
debconf-2.0 (but that seems to be a virtual package), and cdebconf
(which is clearly not the issue here).

Regards, Frank

--
Frank Küster
Inst. f. Biochemie der Univ. Zürich
Debian Developer

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #338587 http://bugs.debian.org/338587

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-Id: <E1EaV50-0004Ia-00@localhost>
Date: Fri, 11 Nov 2005 10:20:17 +0100
From: Eric Valette <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: tex-common fails to install

Package: tex-common
Version: 0.10
Severity: grave
Justification: renders package unusable

Setting up tex-common (0.10) ...
debconf: Unable to load Debconf::Element::Dialog. Failed because: Can't locate Debconf/Element/Dialog.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.8.7 /usr/local/share/perl/5.8.7 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.8 /usr/share/perl/5.8 /usr/local/lib/site_perl .) at (eval 24) line 2, <GEN6> line 6.
BEGIN failed--compilation aborted at (eval 24) line 2, <GEN6> line 6.

Can't locate object method "new" via package "Debconf::Element::Dialog" (perhaps you forgot to load "Debconf::Element::Dialog"?) at /usr/share/perl5/Debconf/FrontEnd.pm line 53, <GEN6> line 6.
dpkg: error processing tex-common (--install):
 subprocess post-installation script returned error exit status 2
Errors were encountered while processing:
 tex-common
tri-yann:/home/valette/local/local-src/unicorn/unicorn_pci# dpkg --purge tex-common

-- System Information:
Debian Release: testing/unstable
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'unstable')
Architecture: i386 (i686)
Shell: /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13.4
Locale: LANG=en_IE@euro, LC_CTYPE=en_IE@euro (charmap=ISO-8859-15) (ignored: LC_ALL set to en_IE@euro)

Versions of packages tex-common depends on:
ii debconf [debconf-2.0] 1.4.59 Debian configuration management sy
ii ucf 2.003 Update Configuration File: preserv

tex-common recommends no packages.

-- debconf information:
* tex-common/groupname: devsoft
* tex-common/cnf_name:
* tex-common/managedlsr: cache

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-ID: <20051111110544.GA2552@preusse>
Date: Fri, 11 Nov 2005 12:05:44 +0100
From: Hilmar Preusse <email address hidden>
To: <email address hidden>, <email address hidden>
Subject: Re: Bug#338587: tex-common fails to install

On 11.11.05 Eric Valette (<email address hidden>) wrote:

Hi,

> Setting up tex-common (0.10) ...
> debconf: Unable to load Debconf::Element::Dialog.
>
Isn't that a message from debconf?
Further the File Debconf/Element/Dialog.pm does not exist in the
unstable distribution, especially not in the package debconf.

http://packages.debian.org/cgi-bin/search_contents.pl?version=unstable&word=Dialog.pm

If you ask me this is a debconf bug.

> Versions of packages tex-common depends on:
> ii debconf [debconf-2.0] 1.4.59 Debian configuration management sy
> ii ucf 2.003 Update Configuration File: preserv
>

--
sigmentation fault

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Fri, 11 Nov 2005 12:31:38 +0100
From: Norbert Preining <email address hidden>
To: <email address hidden>
Subject: Re: Bug#338587: tex-common fails to install

On Fre, 11 Nov 2005, Hilmar Preusse wrote:
> > Setting up tex-common (0.10) ...
> > debconf: Unable to load Debconf::Element::Dialog.
> >

> Isn't that a message from debconf?

Strange. Which version of debconf do you have?

My version contains:
debconf: /usr/share/perl5/Debconf/Element/Dialog
debconf: /usr/share/perl5/Debconf/Element/Dialog/Select.pm
debconf: /usr/share/perl5/Debconf/Element/Dialog/Password.pm
debconf: /usr/share/perl5/Debconf/Element/Dialog/Multiselect.pm
debconf: /usr/share/perl5/Debconf/Element/Dialog/Note.pm
debconf: /usr/share/perl5/Debconf/Element/Dialog/Progress.pm
debconf: /usr/share/perl5/Debconf/Element/Dialog/Boolean.pm
debconf: /usr/share/perl5/Debconf/Element/Dialog/String.pm
debconf: /usr/share/perl5/Debconf/Element/Dialog/Text.pm

I would say your debconf is broken.

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining AT logic DOT at> Universit�i Siena
gpg DSA: 0x09C5B094 fp: 14DF 2E6C 0307 BE6D AD76 A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
WIKE (vb.)
To rip a piece of sticky plaster off your skin as fast as possible in
the hope that it will (a) show how brave you are, and (b) not hurt.
   --- Douglas Adams, The Meaning of Liff

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-ID: <20051111121950.GA1812@preusse>
Date: Fri, 11 Nov 2005 13:19:50 +0100
From: Hilmar Preusse <email address hidden>
To: Norbert Preining <email address hidden>, <email address hidden>
Subject: Re: Bug#338587: tex-common fails to install

On 11.11.05 Norbert Preining (<email address hidden>) wrote:
> On Fre, 11 Nov 2005, Hilmar Preusse wrote:

Hi,

> > > Setting up tex-common (0.10) ...
> > > debconf: Unable to load Debconf::Element::Dialog.
> > >
>
> > Isn't that a message from debconf?
>
> Strange. Which version of debconf do you have?
>
> My version contains:
> debconf: /usr/share/perl5/Debconf/Element/Dialog
>
<no Dialog.pm>

I don't understand so much about perl, but if I write

use Debconf::Element::Dialog;

don't I refer to $PERLPATH/Debconf/Element/Dialog.pm, which does not
exist?

H.
--
sigmentation fault

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Fri, 11 Nov 2005 13:22:13 +0100
From: Norbert Preining <email address hidden>
To: Hilmar Preusse <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#338587: tex-common fails to install

On Fre, 11 Nov 2005, Hilmar Preusse wrote:
> > debconf: /usr/share/perl5/Debconf/Element/Dialog
>
> I don't understand so much about perl, but if I write
>
> use Debconf::Element::Dialog;
>
> don't I refer to $PERLPATH/Debconf/Element/Dialog.pm, which does not
> exist?

Maybe yes, but I don't care. This is a debconf question. Could someone
retitle and reassing this bug.

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining AT logic DOT at> Universit�i Siena
gpg DSA: 0x09C5B094 fp: 14DF 2E6C 0307 BE6D AD76 A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
GLENTIES (pl.n.)
Series of small steps by which someone who has made a serious tactical
error in a conversion or argument moves from complete disagreement to
wholehearted agreement.
   --- Douglas Adams, The Meaning of Liff

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Fri, 11 Nov 2005 14:03:59 +0100
From: =?iso-8859-1?q?Frank_K=FCster?= <email address hidden>
To: Norbert Preining <email address hidden>
Cc: <email address hidden>, Eric Valette <email address hidden>, <email address hidden>,
 teTeX maintainers <email address hidden>
Subject: Re: Bug#338587: tex-common fails to install

reassign 338587 debconf
thanks

Hi Debconf people, here's a grave bug filed against tex-common which
must in fact be debconf's fault:

Norbert Preining <email address hidden> wrote:

> On Fre, 11 Nov 2005, Hilmar Preusse wrote:
>> > Setting up tex-common (0.10) ...
>> > debconf: Unable to load Debconf::Element::Dialog.
>> >=20
>
>> Isn't that a message from debconf?
>
> Strange. Which version of debconf do you have?

Eric has debconf-2.0 installed (version 1.4.59).=20=20

$ findpkg Dialog.pm | grep debconf
usr/share/perl5/Debconf/FrontEnd/Dialog.pm admin/debconf
usr/share/perl5/Debconf/FrontEnd/Dialog.pm admin/debconf
usr/share/perl5/Debconf/FrontEnd/Dialog.pm admin/debconf

these are the three distributions (stable, testing, unstable).=20=20

> My version contains:
> debconf: /usr/share/perl5/Debconf/Element/Dialog
> debconf: /usr/share/perl5/Debconf/Element/Dialog/Select.pm
> debconf: /usr/share/perl5/Debconf/Element/Dialog/Password.pm
> debconf: /usr/share/perl5/Debconf/Element/Dialog/Multiselect.pm
> debconf: /usr/share/perl5/Debconf/Element/Dialog/Note.pm
> debconf: /usr/share/perl5/Debconf/Element/Dialog/Progress.pm
> debconf: /usr/share/perl5/Debconf/Element/Dialog/Boolean.pm
> debconf: /usr/share/perl5/Debconf/Element/Dialog/String.pm
> debconf: /usr/share/perl5/Debconf/Element/Dialog/Text.pm
>
> I would say your debconf is broken.

Don't you have Dialog.pm installed? I have (sid chroot):

$ dpkg -L debconf | grep Dialog
/usr/share/perl5/Debconf/FrontEnd/Dialog.pm
/usr/share/perl5/Debconf/Element/Dialog
/usr/share/perl5/Debconf/Element/Dialog/String.pm
/usr/share/perl5/Debconf/Element/Dialog/Text.pm
/usr/share/perl5/Debconf/Element/Dialog/Note.pm
/usr/share/perl5/Debconf/Element/Dialog/Multiselect.pm
/usr/share/perl5/Debconf/Element/Dialog/Boolean.pm
/usr/share/perl5/Debconf/Element/Dialog/Select.pm
/usr/share/perl5/Debconf/Element/Dialog/Password.pm
/usr/share/perl5/Debconf/Element/Dialog/Progress.pm

I'm a bit confused about the versions we have - there's debconf,
debconf-2.0 (but that seems to be a virtual package), and cdebconf
(which is clearly not the issue here).

Regards, Frank

--=20
Frank K=FCster
Inst. f. Biochemie der Univ. Z=FCrich
Debian Developer

Revision history for this message
In , EricV (eric-valette) wrote :
Download full text (4.0 KiB)

Frank Küster wrote:
> reassign 338587 debconf
> thanks
>
> Hi Debconf people, here's a grave bug filed against tex-common which
> must in fact be debconf's fault:
>
> Norbert Preining <email address hidden> wrote:
>
>
>>On Fre, 11 Nov 2005, Hilmar Preusse wrote:
>>
>>>>Setting up tex-common (0.10) ...
>>>>debconf: Unable to load Debconf::Element::Dialog.
>>>>
>>
>>>Isn't that a message from debconf?
>>
>>Strange. Which version of debconf do you have?
>
>
> Eric has debconf-2.0 installed (version 1.4.59).
>
> $ findpkg Dialog.pm | grep debconf
> usr/share/perl5/Debconf/FrontEnd/Dialog.pm admin/debconf
> usr/share/perl5/Debconf/FrontEnd/Dialog.pm admin/debconf
> usr/share/perl5/Debconf/FrontEnd/Dialog.pm admin/debconf
>
> these are the three distributions (stable, testing, unstable).
>
>
>>My version contains:
>>debconf: /usr/share/perl5/Debconf/Element/Dialog
>>debconf: /usr/share/perl5/Debconf/Element/Dialog/Select.pm
>>debconf: /usr/share/perl5/Debconf/Element/Dialog/Password.pm
>>debconf: /usr/share/perl5/Debconf/Element/Dialog/Multiselect.pm
>>debconf: /usr/share/perl5/Debconf/Element/Dialog/Note.pm
>>debconf: /usr/share/perl5/Debconf/Element/Dialog/Progress.pm
>>debconf: /usr/share/perl5/Debconf/Element/Dialog/Boolean.pm
>>debconf: /usr/share/perl5/Debconf/Element/Dialog/String.pm
>>debconf: /usr/share/perl5/Debconf/Element/Dialog/Text.pm
>>
>>I would say your debconf is broken.
>
>
> Don't you have Dialog.pm installed? I have (sid chroot):
>
> $ dpkg -L debconf | grep Dialog
> /usr/share/perl5/Debconf/FrontEnd/Dialog.pm
> /usr/share/perl5/Debconf/Element/Dialog
> /usr/share/perl5/Debconf/Element/Dialog/String.pm
> /usr/share/perl5/Debconf/Element/Dialog/Text.pm
> /usr/share/perl5/Debconf/Element/Dialog/Note.pm
> /usr/share/perl5/Debconf/Element/Dialog/Multiselect.pm
> /usr/share/perl5/Debconf/Element/Dialog/Boolean.pm
> /usr/share/perl5/Debconf/Element/Dialog/Select.pm
> /usr/share/perl5/Debconf/Element/Dialog/Password.pm
> /usr/share/perl5/Debconf/Element/Dialog/Progress.pm
>
>
> I'm a bit confused about the versions we have - there's debconf,
> debconf-2.0 (but that seems to be a virtual package), and cdebconf
> (which is clearly not the issue here).
>
> Regards, Frank
>

Here is my settings :

dpkg -s debconf
Package: debconf
Status: install ok installed
Priority: important
Section: admin
Installed-Size: 1428
Maintainer: Joey Hess <email address hidden>
Architecture: all
Version: 1.4.59
Replaces: debconf-tiny
Provides: debconf-2.0
Depends: debconf-i18n | debconf-english
Pre-Depends: perl-base (>= 5.6.1-4)
Recommends: apt-utils (>= 0.5.1)
Suggests: debconf-doc, debconf-utils, whiptail | dialog | gnome-utils,
libterm-readline-gnu-perl, libgnome2-perl, libqt-perl, libnet-ldap-perl,
perl
Conflicts: cdebconf, debconf-tiny, apt (<< 0.3.12.1), menu (<= 2.1.3-1),
dialog (<< 0.9b-20020814-1), whiptail (<< 0.51.4-11), whiptail-utf8 (<=
0.50.17-13), debconf-utils (<< 1.3.22)
Conffiles:
 /etc/debconf.conf eb448d7ec3a6258c8601e6b27284b791
 /etc/apt/apt.conf.d/70debconf 7e9d09d5801a42b4926b736b8eeabb73
Description: Debian configuration management system
 Debconf is a configuration management system for debian packages. ...

Read more...

Revision history for this message
In , Joey Hess (joeyh) wrote :

> > On Fre, 11 Nov 2005, Hilmar Preusse wrote:
> >> > Setting up tex-common (0.10) ...
> >> > debconf: Unable to load Debconf::Element::Dialog.

I imagine that a strace -f of a run of dpkg-reconfigure or any other
debconf command that reproduces the problem would show clearly what it
is.

Most likely is that the file has gone missing on the local system due to
disk corruption, accidental deletion, or a screwed up local install of
perl that's somehow not finding it.

--
see shy jo

Revision history for this message
Debian Bug Importer (debzilla) wrote :
Download full text (4.4 KiB)

Message-ID: <email address hidden>
Date: Fri, 11 Nov 2005 16:12:16 +0100
From: Eric Valette <email address hidden>
To: =?ISO-8859-1?Q?Frank_K=FCster?= <email address hidden>
CC: Norbert Preining <email address hidden>, <email address hidden>, <email address hidden>,
 teTeX maintainers <email address hidden>
Subject: Re: Bug#338587: tex-common fails to install

Frank K=FCster wrote:
> reassign 338587 debconf
> thanks
>=20
> Hi Debconf people, here's a grave bug filed against tex-common which
> must in fact be debconf's fault:
>=20
> Norbert Preining <email address hidden> wrote:
>=20
>=20
>>On Fre, 11 Nov 2005, Hilmar Preusse wrote:
>>
>>>>Setting up tex-common (0.10) ...
>>>>debconf: Unable to load Debconf::Element::Dialog.
>>>>
>>
>>>Isn't that a message from debconf?
>>
>>Strange. Which version of debconf do you have?
>=20
>=20
> Eric has debconf-2.0 installed (version 1.4.59). =20
>=20
> $ findpkg Dialog.pm | grep debconf
> usr/share/perl5/Debconf/FrontEnd/Dialog.pm admin/debconf
> usr/share/perl5/Debconf/FrontEnd/Dialog.pm admin/debconf
> usr/share/perl5/Debconf/FrontEnd/Dialog.pm admin/debconf
>=20
> these are the three distributions (stable, testing, unstable). =20
>=20
>=20
>>My version contains:
>>debconf: /usr/share/perl5/Debconf/Element/Dialog
>>debconf: /usr/share/perl5/Debconf/Element/Dialog/Select.pm
>>debconf: /usr/share/perl5/Debconf/Element/Dialog/Password.pm
>>debconf: /usr/share/perl5/Debconf/Element/Dialog/Multiselect.pm
>>debconf: /usr/share/perl5/Debconf/Element/Dialog/Note.pm
>>debconf: /usr/share/perl5/Debconf/Element/Dialog/Progress.pm
>>debconf: /usr/share/perl5/Debconf/Element/Dialog/Boolean.pm
>>debconf: /usr/share/perl5/Debconf/Element/Dialog/String.pm
>>debconf: /usr/share/perl5/Debconf/Element/Dialog/Text.pm
>>
>>I would say your debconf is broken.
>=20
>=20
> Don't you have Dialog.pm installed? I have (sid chroot):
>=20
> $ dpkg -L debconf | grep Dialog
> /usr/share/perl5/Debconf/FrontEnd/Dialog.pm
> /usr/share/perl5/Debconf/Element/Dialog
> /usr/share/perl5/Debconf/Element/Dialog/String.pm
> /usr/share/perl5/Debconf/Element/Dialog/Text.pm
> /usr/share/perl5/Debconf/Element/Dialog/Note.pm
> /usr/share/perl5/Debconf/Element/Dialog/Multiselect.pm
> /usr/share/perl5/Debconf/Element/Dialog/Boolean.pm
> /usr/share/perl5/Debconf/Element/Dialog/Select.pm
> /usr/share/perl5/Debconf/Element/Dialog/Password.pm
> /usr/share/perl5/Debconf/Element/Dialog/Progress.pm
>=20
>=20
> I'm a bit confused about the versions we have - there's debconf,
> debconf-2.0 (but that seems to be a virtual package), and cdebconf
> (which is clearly not the issue here).
>=20
> Regards, Frank
>

Here is my settings :

dpkg -s debconf
Package: debconf
Status: install ok installed
Priority: important
Section: admin
Installed-Size: 1428
Maintainer: Joey Hess <email address hidden>
Architecture: all
Version: 1.4.59
Replaces: debconf-tiny
Provides: debconf-2.0
Depends: debconf-i18n | debconf-english
Pre-Depends: perl-base (>=3D 5.6.1-4)
Recommends: apt-utils (>=3D 0.5.1)
Suggests: debconf-doc, debconf-utils, whiptail | dialog | gnome-utils,
libterm-readline-gnu-perl, libgnome2-perl, libqt-perl, libnet-ldap-perl,
perl
Confli...

Read more...

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Fri, 11 Nov 2005 11:09:02 -0500
From: Joey Hess <email address hidden>
To: Frank =?iso-8859-1?Q?K=FCster?= <email address hidden>
Cc: Norbert Preining <email address hidden>, <email address hidden>,
 Eric Valette <email address hidden>, <email address hidden>,
 teTeX maintainers <email address hidden>
Subject: Re: Bug#338587: tex-common fails to install

--0OAP2g/MAC+5xKAE
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

> > On Fre, 11 Nov 2005, Hilmar Preusse wrote:
> >> > Setting up tex-common (0.10) ...
> >> > debconf: Unable to load Debconf::Element::Dialog.

I imagine that a strace -f of a run of dpkg-reconfigure or any other
debconf command that reproduces the problem would show clearly what it
is.

Most likely is that the file has gone missing on the local system due to
disk corruption, accidental deletion, or a screwed up local install of
perl that's somehow not finding it.

--=20
see shy jo

--0OAP2g/MAC+5xKAE
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDdMIdd8HHehbQuO8RAutTAJ9PfEq2LCuqLL0l6bN4rGJ4PYEXjgCglCLv
JspJULDEkRphEcQo9i8RFoo=
=l0xv
-----END PGP SIGNATURE-----

--0OAP2g/MAC+5xKAE--

Revision history for this message
In , EricV (eric-valette) wrote :

Joey Hess wrote:
>>>On Fre, 11 Nov 2005, Hilmar Preusse wrote:
>>>
>>>>>Setting up tex-common (0.10) ...
>>>>>debconf: Unable to load Debconf::Element::Dialog.
>
>
> I imagine that a strace -f of a run of dpkg-reconfigure or any other
> debconf command that reproduces the problem would show clearly what it
> is.
>
> Most likely is that the file has gone missing on the local system due to
> disk corruption, accidental deletion, or a screwed up local install of
> perl that's somehow not finding it.
>

Disks are clean. I reinstalled debconf, dialog. No change.

--
   __
  / ` Eric Valette
 /-- __ o _. 6 rue Paul Le Flem
(___, / (_(_(__ 35740 Pace

Tel: +33 (0)2 99 85 26 76 Fax: +33 (0)2 99 85 26 76
E-mail: <email address hidden>

Revision history for this message
In , EricV (eric-valette) wrote :

Eric Valette wrote:
> Joey Hess wrote:
>
>>>>On Fre, 11 Nov 2005, Hilmar Preusse wrote:
>>>>
>>>>
>>>>>>Setting up tex-common (0.10) ...
>>>>>>debconf: Unable to load Debconf::Element::Dialog.
>>
>>
>>I imagine that a strace -f of a run of dpkg-reconfigure or any other
>>debconf command that reproduces the problem would show clearly what it
>>is.
>>
>>Most likely is that the file has gone missing on the local system due to
>>disk corruption, accidental deletion, or a screwed up local install of
>>perl that's somehow not finding it.
>>
>
>
> Disks are clean. I reinstalled debconf, dialog. No change.

Here is the culprit code.

sub makeelement {
 my $this=shift;
 my $question=shift;
 my $nodebug=shift;
 my $type=$this->elementtype.'::'.ucfirst($question->type);
 $type=~s/::$//; # in case the question has no type..
 $this->_loadelementclass($type, $nodebug);
 my $element="Debconf::Element::$type"->new(question => $question);
<===== bug triggered here. Do not understand how type instanciate to dialog.
 return if ! ref $element;
 return $element;
}

--
   __
  / ` Eric Valette
 /-- __ o _. 6 rue Paul Le Flem
(___, / (_(_(__ 35740 Pace

Tel: +33 (0)2 99 85 26 76 Fax: +33 (0)2 99 85 26 76
E-mail: <email address hidden>

Revision history for this message
In , EricV (eric-valette) wrote :

Eric Valette wrote:
> Joey Hess wrote:
>
>>>>On Fre, 11 Nov 2005, Hilmar Preusse wrote:
>>>>
>>>>
>>>>>>Setting up tex-common (0.10) ...
>>>>>>debconf: Unable to load Debconf::Element::Dialog.
>>
>>
>>I imagine that a strace -f of a run of dpkg-reconfigure or any other
>>debconf command that reproduces the problem would show clearly what it
>>is.
>>
>>Most likely is that the file has gone missing on the local system due to
>>disk corruption, accidental deletion, or a screwed up local install of
>>perl that's somehow not finding it.
>>
>
>
> Disks are clean. I reinstalled debconf, dialog. No change.
>

I extracted the postinst script and run it manually. I have run "sh -x
./postinst configure" by hand, replaced by the maintainer version of I
don't remember what and the bug is gone??? Black magic somewhere.

--
   __
  / ` Eric Valette
 /-- __ o _. 6 rue Paul Le Flem
(___, / (_(_(__ 35740 Pace

Tel: +33 (0)2 99 85 26 76 Fax: +33 (0)2 99 85 26 76
E-mail: <email address hidden>

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Fri, 11 Nov 2005 18:22:00 +0100
From: Eric Valette <email address hidden>
To: Joey Hess <email address hidden>
CC: =?ISO-8859-1?Q?Frank_K=FCster?= <email address hidden>, Norbert Preining <email address hidden>,
 <email address hidden>, <email address hidden>,
 teTeX maintainers <email address hidden>
Subject: Re: Bug#338587: tex-common fails to install

Joey Hess wrote:
>>>On Fre, 11 Nov 2005, Hilmar Preusse wrote:
>>>
>>>>>Setting up tex-common (0.10) ...
>>>>>debconf: Unable to load Debconf::Element::Dialog.
>
>
> I imagine that a strace -f of a run of dpkg-reconfigure or any other
> debconf command that reproduces the problem would show clearly what it
> is.
>
> Most likely is that the file has gone missing on the local system due to
> disk corruption, accidental deletion, or a screwed up local install of
> perl that's somehow not finding it.
>

Disks are clean. I reinstalled debconf, dialog. No change.

--
   __
  / ` Eric Valette
 /-- __ o _. 6 rue Paul Le Flem
(___, / (_(_(__ 35740 Pace

Tel: +33 (0)2 99 85 26 76 Fax: +33 (0)2 99 85 26 76
E-mail: <email address hidden>

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Fri, 11 Nov 2005 18:32:00 +0100
From: Eric Valette <email address hidden>
To: <email address hidden>
CC: Joey Hess <email address hidden>, =?ISO-8859-1?Q?Frank_K=FCster?=
 <email address hidden>, Norbert Preining <email address hidden>,
 <email address hidden>, <email address hidden>,
 teTeX maintainers <email address hidden>
Subject: Re: Bug#338587: tex-common fails to install

Eric Valette wrote:
> Joey Hess wrote:
>
>>>>On Fre, 11 Nov 2005, Hilmar Preusse wrote:
>>>>
>>>>
>>>>>>Setting up tex-common (0.10) ...
>>>>>>debconf: Unable to load Debconf::Element::Dialog.
>>
>>
>>I imagine that a strace -f of a run of dpkg-reconfigure or any other
>>debconf command that reproduces the problem would show clearly what it
>>is.
>>
>>Most likely is that the file has gone missing on the local system due to
>>disk corruption, accidental deletion, or a screwed up local install of
>>perl that's somehow not finding it.
>>
>
>
> Disks are clean. I reinstalled debconf, dialog. No change.

Here is the culprit code.

sub makeelement {
 my $this=shift;
 my $question=shift;
 my $nodebug=shift;
 my $type=$this->elementtype.'::'.ucfirst($question->type);
 $type=~s/::$//; # in case the question has no type..
 $this->_loadelementclass($type, $nodebug);
 my $element="Debconf::Element::$type"->new(question => $question);
<===== bug triggered here. Do not understand how type instanciate to dialog.
 return if ! ref $element;
 return $element;
}

--
   __
  / ` Eric Valette
 /-- __ o _. 6 rue Paul Le Flem
(___, / (_(_(__ 35740 Pace

Tel: +33 (0)2 99 85 26 76 Fax: +33 (0)2 99 85 26 76
E-mail: <email address hidden>

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Fri, 11 Nov 2005 18:58:51 +0100
From: Eric Valette <email address hidden>
To: <email address hidden>, Joey Hess <email address hidden>
CC: =?ISO-8859-1?Q?Frank_K=FCster?= <email address hidden>, Norbert Preining <email address hidden>,
 <email address hidden>, <email address hidden>,
 teTeX maintainers <email address hidden>
Subject: Re: Bug#338587: tex-common fails to install

Eric Valette wrote:
> Joey Hess wrote:
>
>>>>On Fre, 11 Nov 2005, Hilmar Preusse wrote:
>>>>
>>>>
>>>>>>Setting up tex-common (0.10) ...
>>>>>>debconf: Unable to load Debconf::Element::Dialog.
>>
>>
>>I imagine that a strace -f of a run of dpkg-reconfigure or any other
>>debconf command that reproduces the problem would show clearly what it
>>is.
>>
>>Most likely is that the file has gone missing on the local system due to
>>disk corruption, accidental deletion, or a screwed up local install of
>>perl that's somehow not finding it.
>>
>
>
> Disks are clean. I reinstalled debconf, dialog. No change.
>

I extracted the postinst script and run it manually. I have run "sh -x
./postinst configure" by hand, replaced by the maintainer version of I
don't remember what and the bug is gone??? Black magic somewhere.

--
   __
  / ` Eric Valette
 /-- __ o _. 6 rue Paul Le Flem
(___, / (_(_(__ 35740 Pace

Tel: +33 (0)2 99 85 26 76 Fax: +33 (0)2 99 85 26 76
E-mail: <email address hidden>

Revision history for this message
In , Frank Küster (frank-kuesterei) wrote :

Eric Valette <email address hidden> wrote:

> Eric Valette wrote:
>> Joey Hess wrote:
>>
>>>>>On Fre, 11 Nov 2005, Hilmar Preusse wrote:
>>>>>
>>>>>
>>>>>>>Setting up tex-common (0.10) ...
>>>>>>>debconf: Unable to load Debconf::Element::Dialog.
>>>
>>>
>>>I imagine that a strace -f of a run of dpkg-reconfigure or any other
>>>debconf command that reproduces the problem would show clearly what it
>>>is.
>>>
>>>Most likely is that the file has gone missing on the local system due to
>>>disk corruption, accidental deletion, or a screwed up local install of
>>>perl that's somehow not finding it.
>>>
>>
>>
>> Disks are clean. I reinstalled debconf, dialog. No change.
>>
>
> I extracted the postinst script and run it manually. I have run "sh -x
> ./postinst configure" by hand, replaced by the maintainer version of I
> don't remember what and the bug is gone??? Black magic somewhere.

Sorry, I don't completely understand: You don't know which package's
postinst you were running? Or you do know this (which?) but don't
remember where you took the postinst from?

Thanks in advance,
Frank

--
Frank Küster
Inst. f. Biochemie der Univ. Zürich
Debian Developer

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sun, 13 Nov 2005 11:03:35 +0100
From: =?iso-8859-1?q?Frank_K=FCster?= <email address hidden>
To: <email address hidden>
Cc: Joey Hess <email address hidden>, Norbert Preining <email address hidden>,
 <email address hidden>, <email address hidden>,
 teTeX maintainers <email address hidden>
Subject: Re: Bug#338587: tex-common fails to install

Eric Valette <email address hidden> wrote:

> Eric Valette wrote:
>> Joey Hess wrote:
>>=20
>>>>>On Fre, 11 Nov 2005, Hilmar Preusse wrote:
>>>>>
>>>>>
>>>>>>>Setting up tex-common (0.10) ...
>>>>>>>debconf: Unable to load Debconf::Element::Dialog.
>>>
>>>
>>>I imagine that a strace -f of a run of dpkg-reconfigure or any other
>>>debconf command that reproduces the problem would show clearly what it
>>>is.
>>>
>>>Most likely is that the file has gone missing on the local system due to
>>>disk corruption, accidental deletion, or a screwed up local install of
>>>perl that's somehow not finding it.
>>>
>>=20
>>=20
>> Disks are clean. I reinstalled debconf, dialog. No change.
>>=20
>
> I extracted the postinst script and run it manually. I have run "sh -x
> ./postinst configure" by hand, replaced by the maintainer version of I
> don't remember what and the bug is gone??? Black magic somewhere.

Sorry, I don't completely understand: You don't know which package's
postinst you were running? Or you do know this (which?) but don't
remember where you took the postinst from?

Thanks in advance,
Frank

--=20
Frank K=FCster
Inst. f. Biochemie der Univ. Z=FCrich
Debian Developer

Revision history for this message
In , EricV (eric-valette) wrote :

Frank Küster wrote:
> Eric Valette <email address hidden> wrote:
>
>
>>Eric Valette wrote:
>>
>>>Joey Hess wrote:
>>>
>>>
>>>>>>On Fre, 11 Nov 2005, Hilmar Preusse wrote:
>>>>>>
>>>>>>
>>>>>>
>>>>>>>>Setting up tex-common (0.10) ...
>>>>>>>>debconf: Unable to load Debconf::Element::Dialog.
>>>>
>>>>
>>>>I imagine that a strace -f of a run of dpkg-reconfigure or any other
>>>>debconf command that reproduces the problem would show clearly what it
>>>>is.
>>>>
>>>>Most likely is that the file has gone missing on the local system due to
>>>>disk corruption, accidental deletion, or a screwed up local install of
>>>>perl that's somehow not finding it.
>>>>
>>>
>>>
>>>Disks are clean. I reinstalled debconf, dialog. No change.
>>>
>>
>>I extracted the postinst script and run it manually. I have run "sh -x
>>./postinst configure" by hand, replaced by the maintainer version of I
>>don't remember what and the bug is gone??? Black magic somewhere.
>
>
> Sorry, I don't completely understand: You don't know which package's
> postinst you were running? Or you do know this (which?) but don't
> remember where you took the postinst from?

I (of course!) took the postinst of the failing packages aka tex-common.
(Do not assume I'm stupid please). When I ran "postinst configure" it
prompted a dialog window asking to either keep my installed version of a
configuration file (THAT configuration file name I do not remember) and
I selected replace by maintainer version as I wanted to be sure the
problem was not comming from incompatible version of this configuration
file. The "postins" command suceeded and the "apt-get -f install" after it.

So if the problem was involing only "debconf", I suspect the run by hand
"postinst configure" would have not solved it magically. You can
continue to play ping pong between tex-common and debconf or close the
bug. I guess it will resurface later via another bug.

BTW the bug leading for the change in tex-common 0.9->0.10 looks very
similar as my debconf default config is "dialog/LOW".

--
   __
  / ` Eric Valette
 /-- __ o _. 6 rue Paul Le Flem
(___, / (_(_(__ 35740 Pace

Tel: +33 (0)2 99 85 26 76 Fax: +33 (0)2 99 85 26 76
E-mail: <email address hidden>

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sun, 13 Nov 2005 15:26:59 +0100
From: Eric Valette <email address hidden>
To: =?ISO-8859-1?Q?Frank_K=FCster?= <email address hidden>
CC: Joey Hess <email address hidden>, Norbert Preining <email address hidden>,
 <email address hidden>, <email address hidden>,
 teTeX maintainers <email address hidden>
Subject: Re: Bug#338587: tex-common fails to install

Frank K=FCster wrote:
> Eric Valette <email address hidden> wrote:
>=20
>=20
>>Eric Valette wrote:
>>
>>>Joey Hess wrote:
>>>
>>>
>>>>>>On Fre, 11 Nov 2005, Hilmar Preusse wrote:
>>>>>>
>>>>>>
>>>>>>
>>>>>>>>Setting up tex-common (0.10) ...
>>>>>>>>debconf: Unable to load Debconf::Element::Dialog.
>>>>
>>>>
>>>>I imagine that a strace -f of a run of dpkg-reconfigure or any other
>>>>debconf command that reproduces the problem would show clearly what i=
t
>>>>is.
>>>>
>>>>Most likely is that the file has gone missing on the local system due=
 to
>>>>disk corruption, accidental deletion, or a screwed up local install o=
f
>>>>perl that's somehow not finding it.
>>>>
>>>
>>>
>>>Disks are clean. I reinstalled debconf, dialog. No change.
>>>
>>
>>I extracted the postinst script and run it manually. I have run "sh -x
>>./postinst configure" by hand, replaced by the maintainer version of I
>>don't remember what and the bug is gone??? Black magic somewhere.
>=20
>=20
> Sorry, I don't completely understand: You don't know which package's
> postinst you were running? Or you do know this (which?) but don't
> remember where you took the postinst from?

I (of course!) took the postinst of the failing packages aka tex-common.
(Do not assume I'm stupid please). When I ran "postinst configure" it
prompted a dialog window asking to either keep my installed version of a
configuration file (THAT configuration file name I do not remember) and
I selected replace by maintainer version as I wanted to be sure the
problem was not comming from incompatible version of this configuration
file. The "postins" command suceeded and the "apt-get -f install" after i=
t.

So if the problem was involing only "debconf", I suspect the run by hand
"postinst configure" would have not solved it magically. You can
continue to play ping pong between tex-common and debconf or close the
bug. I guess it will resurface later via another bug.

BTW the bug leading for the change in tex-common 0.9->0.10 looks very
similar as my debconf default config is "dialog/LOW".

--=20
   __
  / ` Eric Valette
 /-- __ o _. 6 rue Paul Le Flem
(___, / (_(_(__ 35740 Pace

Tel: +33 (0)2 99 85 26 76 Fax: +33 (0)2 99 85 26 76
E-mail: <email address hidden>

Revision history for this message
In , Frank Küster (frank-kuesterei) wrote :
Download full text (3.3 KiB)

Eric Valette <email address hidden> wrote:

> I (of course!) took the postinst of the failing packages aka tex-common.
> (Do not assume I'm stupid please).

Sorry, I didn't want to offend; I just had a problem understanding your
sentence, and that might well be due to my english being not good
enough, not yours.

> When I ran "postinst configure" it
> prompted a dialog window asking to either keep my installed version of a
> configuration file (THAT configuration file name I do not remember)

upon rereading, I get the meaning, sorry.

> and
> I selected replace by maintainer version as I wanted to be sure the
> problem was not comming from incompatible version of this configuration
> file. The "postins" command suceeded and the "apt-get -f install" after it.
>
> So if the problem was involing only "debconf", I suspect the run by hand
> "postinst configure" would have not solved it magically. You can
> continue to play ping pong between tex-common and debconf or close the
> bug. I guess it will resurface later via another bug.

If there is a bug in tex-common, then there are two bugs, one in
debconf, and one in tex-common. After running the tex-common postinst
script again, it might be that the debconf code that caused the error
message was no longer called.

But I still do not understand things here.

$ grep "db_" tex-common/debian/* | grep -v 'true$'
tex-common/debian/config.in:db_version 2.0
tex-common/debian/config.in:db_go
tex-common/debian/config.in: db_go
tex-common/debian/postinst.in:db_version 2.0

which means that all lines with calls to db_* end with || true except
for db_version and db_go. This seems to indicate to me that *if* we
made an error with debconf, it wouldn't reveal itself as a failing
maintainer script.

Second, how is it possible that a conffile dialog (in fact it must be a
ucf configuration file dialog, but that looks similar) pops up during a
second invocation of the postinst script, unless you have changed the
file meanwhile? ucf is called only once in the postinst script, and
this is

- after sourcing /usr/share/debconf/confmodule and calling db_version,
  but before any other debconf use

- only conditional on the first parameter being configure or
  reconfigure.

I don't see how a configuration file could be on your system that is
neither any old known nor the new version unless one of two things
happened:

- it was a problem with your local debconf installation, and it was in
  fact fixed by reinstalling it, although you first said it wasn't (how
  did you check?). In this case, the postinst script failed right while
  loading confmodule, and never got to the file changed dialog.

- or you have edited some configuration file below /etc/texmf between
  the different postinst invocations. But in this case I cannot see how
  changing the conffile would affect later debconf invocations - we only
  use db_get and db_fset, and we do that without checking any files.

> BTW the bug leading for the change in tex-common 0.9->0.10 looks very
> similar as my debconf default config is "dialog/LOW".

Which bug do you mean - #337073? Why do you think it looks similar -
it's about an error in a chmod invocation, w...

Read more...

Revision history for this message
Debian Bug Importer (debzilla) wrote :
Download full text (3.7 KiB)

Message-ID: <email address hidden>
Date: Sun, 13 Nov 2005 16:40:12 +0100
From: =?iso-8859-1?q?Frank_K=FCster?= <email address hidden>
To: <email address hidden>
Cc: Joey Hess <email address hidden>, Norbert Preining <email address hidden>,
 <email address hidden>, <email address hidden>,
 teTeX maintainers <email address hidden>
Subject: Re: Bug#338587: tex-common fails to install

Eric Valette <email address hidden> wrote:

> I (of course!) took the postinst of the failing packages aka tex-common.
> (Do not assume I'm stupid please).=20

Sorry, I didn't want to offend; I just had a problem understanding your
sentence, and that might well be due to my english being not good
enough, not yours.=20

> When I ran "postinst configure" it
> prompted a dialog window asking to either keep my installed version of a
> configuration file (THAT configuration file name I do not remember)=20

upon rereading, I get the meaning, sorry.

> and
> I selected replace by maintainer version as I wanted to be sure the
> problem was not comming from incompatible version of this configuration
> file. The "postins" command suceeded and the "apt-get -f install" after i=
t.
>
> So if the problem was involing only "debconf", I suspect the run by hand
> "postinst configure" would have not solved it magically. You can
> continue to play ping pong between tex-common and debconf or close the
> bug. I guess it will resurface later via another bug.

If there is a bug in tex-common, then there are two bugs, one in
debconf, and one in tex-common. After running the tex-common postinst
script again, it might be that the debconf code that caused the error
message was no longer called.

But I still do not understand things here.

$ grep "db_" tex-common/debian/* | grep -v 'true$'
tex-common/debian/config.in:db_version 2.0
tex-common/debian/config.in:db_go
tex-common/debian/config.in: db_go
tex-common/debian/postinst.in:db_version 2.0

which means that all lines with calls to db_* end with || true except
for db_version and db_go. This seems to indicate to me that *if* we
made an error with debconf, it wouldn't reveal itself as a failing
maintainer script.

Second, how is it possible that a conffile dialog (in fact it must be a
ucf configuration file dialog, but that looks similar) pops up during a
second invocation of the postinst script, unless you have changed the
file meanwhile? ucf is called only once in the postinst script, and
this is

- after sourcing /usr/share/debconf/confmodule and calling db_version,
  but before any other debconf use

- only conditional on the first parameter being configure or
  reconfigure.=20=20

I don't see how a configuration file could be on your system that is
neither any old known nor the new version unless one of two things
happened:

- it was a problem with your local debconf installation, and it was in
  fact fixed by reinstalling it, although you first said it wasn't (how
  did you check?). In this case, the postinst script failed right while
  loading confmodule, and never got to the file changed dialog.

- or you have edited some configuration file below /etc/texmf between
  the different postinst invocations....

Read more...

Revision history for this message
In , EricV (eric-valette) wrote :

Frank Küster wrote:

> which means that all lines with calls to db_* end with || true except
> for db_version and db_go. This seems to indicate to me that *if* we
> made an error with debconf, it wouldn't reveal itself as a failing
> maintainer script.

The full error message is included in the first post. It was indeed an
error message from debconf. I also serched in the postinst script to
show the line that caused the problem but unfortunately it does not
helps because it depends on dynamic content of a parameter.

> I don't see how a configuration file could be on your system that is
> neither any old known nor the new version unless one of two things
> happened:

> - it was a problem with your local debconf installation, and it was in
> fact fixed by reinstalling it, although you first said it wasn't (how
> did you check?).

When you do "apt-get install --reinstall dialog debconf" and then
apt-get -f install, whitout fixing the problem, I think I can say it did
not change. I also tried to reconfigure debconf with "dpkg-reconfigure
debconf" to put readline instead of dialog but this did not help either.

> In this case, the postinst script failed right while
> loading confmodule, and never got to the file changed dialog.

Correct. I never saw the dialog before running "sh -x ./postinst
configure" by hand. As far as I know, I did not edit any file by hand,
installed several packages which lead to try the postinst procedure
several time without changing anything.

OK. Do not waste your time any further, I have now a fully functionnal
system and as you cannot reproduce this bug, I propose to close it. Use
it as an hint if someone else comes with a similar problem.

I had corrupted debconf database once and yes it can cause problem on
any package but it has been working for months without problem.

--
   __
  / ` Eric Valette
 /-- __ o _. 6 rue Paul Le Flem
(___, / (_(_(__ 35740 Pace

Tel: +33 (0)2 99 85 26 76 Fax: +33 (0)2 99 85 26 76
E-mail: <email address hidden>

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sun, 13 Nov 2005 23:31:45 +0100
From: Eric Valette <email address hidden>
To: =?ISO-8859-1?Q?Frank_K=FCster?= <email address hidden>
CC: Joey Hess <email address hidden>, Norbert Preining <email address hidden>,
 <email address hidden>, <email address hidden>,
 teTeX maintainers <email address hidden>
Subject: Re: Bug#338587: tex-common fails to install

Frank K=FCster wrote:

> which means that all lines with calls to db_* end with || true except
> for db_version and db_go. This seems to indicate to me that *if* we
> made an error with debconf, it wouldn't reveal itself as a failing
> maintainer script.

The full error message is included in the first post. It was indeed an
error message from debconf. I also serched in the postinst script to
show the line that caused the problem but unfortunately it does not
helps because it depends on dynamic content of a parameter.

> I don't see how a configuration file could be on your system that is
> neither any old known nor the new version unless one of two things
> happened:

> - it was a problem with your local debconf installation, and it was in
> fact fixed by reinstalling it, although you first said it wasn't (how
> did you check?). =20

When you do "apt-get install --reinstall dialog debconf" and then
apt-get -f install, whitout fixing the problem, I think I can say it did
not change. I also tried to reconfigure debconf with "dpkg-reconfigure
debconf" to put readline instead of dialog but this did not help either.

> In this case, the postinst script failed right while
> loading confmodule, and never got to the file changed dialog.

Correct. I never saw the dialog before running "sh -x ./postinst
configure" by hand. As far as I know, I did not edit any file by hand,
installed several packages which lead to try the postinst procedure
several time without changing anything.

OK. Do not waste your time any further, I have now a fully functionnal
system and as you cannot reproduce this bug, I propose to close it. Use
it as an hint if someone else comes with a similar problem.

I had corrupted debconf database once and yes it can cause problem on
any package but it has been working for months without problem.

--=20
   __
  / ` Eric Valette
 /-- __ o _. 6 rue Paul Le Flem
(___, / (_(_(__ 35740 Pace

Tel: +33 (0)2 99 85 26 76 Fax: +33 (0)2 99 85 26 76
E-mail: <email address hidden>

Revision history for this message
In , Frank Küster (frank-debian) wrote :

Eric Valette <email address hidden> wrote:

> Frank Küster wrote:
>> - it was a problem with your local debconf installation, and it was in
>> fact fixed by reinstalling it, although you first said it wasn't (how
>> did you check?).
>
>
> When you do "apt-get install --reinstall dialog debconf" and then
> apt-get -f install, whitout fixing the problem, I think I can say it did
> not change. I also tried to reconfigure debconf with "dpkg-reconfigure
> debconf" to put readline instead of dialog but this did not help either.

Okay, that's clear.

> OK. Do not waste your time any further, I have now a fully functionnal
> system and as you cannot reproduce this bug, I propose to close it. Use
> it as an hint if someone else comes with a similar problem.

I hope we'll remember it when we need it...

Closing,
Frank
--
Frank Küster
Inst. f. Biochemie der Univ. Zürich
Debian Developer

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Mon, 14 Nov 2005 10:40:52 +0100
From: =?iso-8859-1?q?Frank_K=FCster?= <email address hidden>
To: <email address hidden>
Cc: Joey Hess <email address hidden>, Norbert Preining <email address hidden>,
 <email address hidden>, <email address hidden>,
 teTeX maintainers <email address hidden>
Subject: Re: Bug#338587: tex-common fails to install

Eric Valette <email address hidden> wrote:

> Frank K=FCster wrote:
>> - it was a problem with your local debconf installation, and it was in
>> fact fixed by reinstalling it, although you first said it wasn't (how
>> did you check?).=20=20
>
>
> When you do "apt-get install --reinstall dialog debconf" and then
> apt-get -f install, whitout fixing the problem, I think I can say it did
> not change. I also tried to reconfigure debconf with "dpkg-reconfigure
> debconf" to put readline instead of dialog but this did not help either.

Okay, that's clear.

> OK. Do not waste your time any further, I have now a fully functionnal
> system and as you cannot reproduce this bug, I propose to close it. Use
> it as an hint if someone else comes with a similar problem.

I hope we'll remember it when we need it...

Closing,
Frank
--=20
Frank K=FCster
Inst. f. Biochemie der Univ. Z=FCrich
Debian Developer

Revision history for this message
Carthik Sharma (carthik) wrote :

This bug has been closed in Debian, closing now.

Changed in debconf:
status: Unconfirmed → Rejected
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.